LFR-FSW - Bug #3936

Comparaison/validation FSW 3.2.0.24 vs 3.3.0.7 avec matrices unitaires.
15/03/2022 03:56 PM - bruno katra

Status: In Progress Start date: 15/03/2022
Priority: Normal Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

En relation avec #3877 il est pertinent de vérifier la cohérence entre 3.2.0.24 vs (3.3.0.7 avec matrices unitaires). Les
comportements attendus doivent étre similaires entre les 2 (a la différence prés de la correction de la moyenne des ASM qui ne doit
pas trop se voir dans le cadre de signaux constants).

J'ai rejoué les runs PREL-08 ( #3877 ) mais en 3.2.0.24, les datadumps sont ici :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.2.0.24/PREL-09&fileid=2507041

Related issues:

Related to Task #3877: Matrices de passage par défaut pour les ASM : a valider In Progress  17/09/2021
Related to Task #3897: Faire un test avec les matrices de chgt de repére/cal... In Progress  18/11/2021
Related to Bug #3941: Calcul des BP2 erroné pour F2 [3.3.0.7 avec matrices un... Closed 28/03/2022
Related to Task #3946: Vérifier si #3936 apparait aussi en 3.3.0.4 (avant mo... Closed 01/04/2022
Related to Bug #3948: FSW <= 3.3.0.7 : fluctuation de I'amplitude des ASM ave... Closed 04/04/2022
History

#1 - 15/03/2022 03:56 PM - bruno katra
- Related to Task #3877: Matrices de passage par défaut pour les ASM : a valider added

#2 - 15/03/2022 04:45 PM - thomas chust

- Assignee changed from thomas chust to bruno katra

Bruno, ce sont les matrices par défaut que tu as jouées et non les unitaires ... ? Ah j'y suis, c'est juste une question du nom des fichiers qui m'a
confondu ... smile.png

#3 - 15/03/2022 05:27 PM - bruno katra
thomas chust wrote in #note-2:

Bruno, ce sont les matrices par défaut que tu as jouées et non les unitaires ... ? Ah j'y suis, c'est juste une question du nom des fichiers qui m'a
confondu ... smile.png

Oui j'ai laissé le nom DefaultKCOEFF juste pour dire que j'ai laissé les KCOEFF par défaut du boot de LFR. En 3.2.0.24 il n'y a pas de notion de
matrices unitaires, ce sont encore des KCOEFF.

#4 - 15/03/2022 06:29 PM - thomas chust
- File VERIF_LFR _FSW _R3 3 Bruno 20220315.html added

- Assignee changed from bruno katra to Alexis Jeandet

Premiére analyse faite (cf notebook attaché):

- a F2 la comparaison entre 3.2.0.24 vs 3.3.0.7 (avec matrices unitaires) est quasi parfaite

- a FO également pour ce qui concerne toutes les magnitudes (des auto- et des cross-correllations); les différences de phase sont aussi quasi nulles
pour les paires de sigaux d'une méme carte mais notables pour les signaux qui se déphasent sur le temps de la manip (les 2 runs ne sont alors pas
comparables ...)

- a F1 on retrouve le probleme des termes non diagonaux (les cross-corrélations) qui valent 0 avec la 3.3.0.7 (et pas avec la 3.2.0.24 heureusement

)

Encore un petit effort Alexis | smile.png
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3877
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3877
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.2.0.24/PREL-09&fileid=2507041

#5 - 16/03/2022 11:15 AM - bruno katra

J'ai vérifié quand méme que mon tableau python du script en 3.3.0.7 chargeait bien les bonnes valeurs pour les matrices unitaires : testé OK, les
valeurs sont exactement celle du tableau de Thomas.

#6 - 17/03/2022 10:32 AM - Alexis Jeandet

J'ai du mal a voir ou peut se trouver le bug vu que le code est pas mal partagé entre FO et F1.

J'ai créé un branche avec des matrices unitaires par défaut, ca devrait permettre de discriminer entre un bug au niveau calcul Vs niveau upload des
matrices.

Bruno peux tu tester avec ¢a sans faire d' upload des matrlces

Matnceslnlt codeGen |ovnb
Etle f|ch|er de matrices résultant:

matrlces [

#7 - 17/03/2022 10:46 AM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

#8 - 17/03/2022 11:31 AM - thomas chust

Alexis, pourquoi ces matrices unitaires ont la dimension nfreq+1 alors qu'il n'y pas d'interpolation a partir de celles-ci, non ?

#9 - 17/03/2022 01:41 PM - Alexis Jeandet

Je comprends pas ta question.

#10 - 17/03/2022 02:57 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

Alexis Jeandet wrote in #note-6:

J'ai du mal a voir ou peut se trouver le bug vu que le code est pas mal partagé entre FO et F1.

J'ai créé un branche avec des matrices unitaires par défaut, ¢a devrait permettre de discriminer entre un bug au niveau calcul Vs niveau upload
des matrices.

Bruno, peux-tu tester avec ¢a sans faire d'upload des matrices:
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware BuildLpp?branch=unit_cal_matrices&mode=builds

J'ai refait les runs avec la version 3.3.0.7 "speciale" compilée par Alexis c'est ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328

Pour mfo voici les modifs dans le notebook

atlonMatrlceslnlt codeGen ipynb

Etle f|ch|er de matrices résultant:

atlon matnces c

#11 - 17/03/2022 03:03 PM - thomas chust
Alexis Jeandet wrote in #note-9:

Je comprends pas ta question.

Dans le notebook:

START_INDEXES=[186, 5, 6]

#+1 on sizes for interpolation with TC LOAD KCOEFS
SIZES=[88+1, 104+1, 96+1]

Comme si tu envisageais d'interpoler. ?

#12 - 17/03/2022 03:08 PM - Alexis Jeandet
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=builds
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/python_scripts/CalibrationMatricesInit_codeGen.ipynb
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/python_scripts/CalibrationMatricesInit_codeGen.ipynb
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/src/processing/calibration_matrices.c
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/src/processing/calibration_matrices.c
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=builds
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/python_scripts/CalibrationMatricesInit_codeGen.ipynb
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/python_scripts/CalibrationMatricesInit_codeGen.ipynb
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/src/processing/calibration_matrices.c
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/83a04417630b7bfe1feb46769f2bd63e37d699b5/src/processing/calibration_matrices.c

thomas chust wrote in #note-11:

Alexis Jeandet wrote in #note-9:

Je comprends pas ta question.

Dans le notebook:

START_INDEXES=[186, 5, 6]

#+1 on sizes for interpolation with TC LOAD KCOEFS
SIZES=[88+1, 104+1, 96+1]

Comme si tu envisageais d'interpoler. ?

Je vois vraiment pas ce qui te fait dire ¢a, justement SIZES® c'est 88+1 et pas 88/8.

#13 - 17/03/2022 03:13 PM - thomas chust

Si tu n'interpoles pas normalement 88 c'est suffisant, non ?

#14 - 17/03/2022 03:56 PM - thomas chust
- File VERIF_LFR_FSW_R3_3 Bruno_20220317.html added

bruno katra wrote in #note-10:
Alexis Jeandet wrote in #note-6:

J'ai du mal a voir ou peut se trouver le bug vu que le code est pas mal partagé entre FO et F1.
J'ai créé un branche avec des matrices unitaires par défaut, ¢a devrait permettre de discriminer entre un bug au niveau calcul Vs niveau
upload des matrices.

Bruno, peux-tu tester avec ¢a sans faire d'upload des matrices:
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware BuildLpp?branch=unit_cal matrices&mode=builds

J'ai refait les runs avec la version 3.3.0.7 "speciale” compilée par Alexis c'est ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328

Analyse faite (notebook VERIF_LFR_FSW_R3_3_Bruno_20220317.html attaché): pas de changement par rapport au run avec 3.3.0.7 et KCOEFF
unitaires

=> bug dans I'implémentation des matrices de calibration ou dans le stockage des résultats ?

#15 - 17/03/2022 07:17 PM - bruno katra

thomas chust wrote in #note-14:
bruno katra wrote in #note-10:

Alexis Jeandet wrote in #note-6:

J'ai du mal & voir ou peut se trouver le bug vu que le code est pas mal partagé entre FO et F1.

J'ai créé un branche avec des matrices unitaires par défaut, ¢ca devrait permettre de discriminer entre un bug au niveau calcul Vs
niveau upload des matrices.

Bruno, peux-tu tester avec ca sans faire d'upload des matrices:
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=build
s

J'ai refait les runs avec la version 3.3.0.7 "speciale” compilée par Alexis c'est ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328

Analyse faite (notebook VERIF_LFR_FSW_R3_3_Bruno_20220317.html attaché): pas de changement par rapport au run avec 3.3.0.7 et
KCOEFF unitaires

=> bug dans I'implémentation des matrices de calibration ou dans le stockage des résultats ?

J'ai eu ALexis au téléphone qui a décommuté les données : en regardant les ascii il trouve qu'il n'y a pas tant de 0 que ¢a dans les termes
non-diagonaux de F1. Les matrices F1 sont d'ailleurs assez similaires aux matrices a F2 et FO.
J'ai regardé aussi de mon cété, voici mes observations :
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=builds
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=builds
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp?branch=unit_cal_matrices&mode=builds
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/PREL-10&fileid=2508328

- les fichiers ascii des ASM contiennent les matrices décommutées brutes issues directement des paquets LFR qui sont segmentées en 3 paquets
(voir champs ###i## PA_LFR_PKT_CNT_ASM: 3 et

1. PA_LFR_PKT_NR_ASM: ) ==> Il faut donc 3 blocs ascii pour reconstituer les 88 ASM de FO par exemple.
- Je vois en effet des grosses sections de 0 mais toujours dans le bloc 2/3 des matrices.

- Je pense que ce que Thomas voulait dire c'est que I'on voit des 0 dans les termes non-diagonaux * mais de I'ASM correspondant a la frequence
injectée* : Thomas?

- Méme dans ce cas : je ne vois pas que ce soit spécialement les termes non-diagonaux exactement, si on prend I'exemple de de I' ASM@F1 (5x5)
correspondant aux 912Hz injecté, on a :

20753868.000 0.0000000000 0.0000000000 0.0000000000 0.0000000000
0.0000000000 0.0000000000 0.0000000000 0.0000000000 20575776.00000
0.0000000000 0.0000000000 0.0000000000 0.0000000000 0.0000000000
0.0000000000 20704210.00 0.0000000000 0.0000000000 0.0000000000
0.0000000000 20396636.00 0.0000000000 0.0000000000 20595084.00000

Maintenant en effet il y a beaucoup de 0!

#16 - 17/03/2022 07:53 PM - thomas chust

bruno katra wrote in #note-15:
- Je pense que ce que Thomas voulait dire c'est que I'on voit des 0 dans les termes non-diagonaux * mais de I'ASM correspondant a la
frequence injectée* : Thomas?

oui

- Méme dans ce cas : je ne vois pas que ce soit spécialement les termes non-diagonaux exactement, si on prend l'exemple de de I' ASM@F1
(5x5) correspondant aux 912Hz injecté, on a :

20753868.000 0.0000000000 0.0000000000 0.0000000000 0.0000000000
0.0000000000 0.0000000000 0.0000000000 0.0000000000 20575776.00000
0.0000000000 0.0000000000 0.0000000000 0.0000000000 0.0000000000
0.0000000000 20704210.00 0.0000000000 0.0000000000 0.0000000000
0.0000000000 20396636.00 0.0000000000 0.0000000000 20595084.00000

Maintenant en effet il y a beaucoup de 0!

Bah si c'est exactement ce que je dis: dans les 25 floats d'une asm a la fréquence visée, seules les termes non-diagonaux (les 1er, 10éme, 17éme,
22eéme, et 25éme) ne sont pas nulles

Pour rappel ces 25 floats par fréquence sont rangés de la maniére suivante:

NaN B1 B2 B3 El E2
B1 00 01-02 03-04 05-06 07-08

B2 cc-cc 09 10-11 12-13 14-15

B3 cc-cc cc-cc 16 17-18 19-20

El cc-cc ge—c8 ee—ee al 22-23

E2 cc-cc cc-cc cc-cc  cc-cc 24

#17 - 17/03/2022 08:05 PM - thomas chust

- Assignee changed from thomas chust to Alexis Jeandet

Je viens de vérifier moi aussi dans le fichier ascii décommuté:
pour 1' ASM@F1 (5x5) [avec signal a 912Hz]:

20750388.0000000000 0.0000000000 0.0000000000 0.0000000000 0.000000000
0 0.0000000000 0.0000000000 0.0000000000 0.0000000000 20575870.0000
000000 0.0000000000 0.0000000000 0.0000000000 0.0000000000 0
.0000000000 0.0000000000 20704086.0000000000 0.0000000000 0.0000000000
0.0000000000 0.0000000000 20393340.0000000000 0.0000000000 0.0000000000
20593344.0000000000

pour I' ASM@FO0 (5x5) [avec signal a 3168Hz]:
20164214.0000000000 20674516.0000000000 131012.6015625000 15517221.0000000000 11564152.000000000

0 13698939.0000000000 12804424.0000000000 13783375.0000000000 12859889.0000000000 21198574.0000
000000 15985155.0000000000 11755913.0000000000 14128959.0000000000 13039383.0000000000 14215889
.0000000000 13095701.0000000000 21063614.0000000000 20871266.0000000000 2329697.0000000000 209
84250.0000000000 2323167.2500000000 21066954.0000000000 21178874.0000000000 -19043.0859375000
21291406.0000000000

#18 - 18/03/2022 09:53 AM - bruno katra

Bah si c'est exactement ce que je dis: dans les 25 floats d'une asm a la fréquence visée, seules les termes non-diagonaux (les 1er, 10éme,
17éme, 22éme, et 25éme) ne sont pas nulles

Pour rappel ces 25 floats par fréquence sont rangés de la maniére suivante:
NaN B1 B2 B3 E1 E2

B1 00 01-02 03-04 05-06 07-08

B2cc-cc 09 10-11 12-13 14-15

B3 cc-cc cc-cc 16 17-18 19-20

E1 cc-cc cc-cc cc-cc 21 22-23
E2 cc-cc cc-cc cc-cc ce-cc 24

Ah oui pardon c'est vrai j'avais oublié comment était foutu les matrices avec juste la moitié... Du coup en effet TOUS les non diagonaux sont a 0.
D'ailleurs je remarque que cela concerne en gros aussi les ASM "autour" de la frequence injectée : un effet de la fenétre de Hanning??

#19 - 18/03/2022 10:04 AM - thomas chust

bruno katra wrote in #note-18:

Ah oui pardon c'est vrai j'avais oublié comment était foutu les matrices avec juste la moitié... Du coup en effet TOUS les non diagonaux sont a 0.
D'ailleurs je remarque que cela concerne en gros aussi les ASM "autour" de la frequence injectée : un effet de la fenétre de Hanning??

oui (pour la fréquence centrale correspond aussi une fréquence juste avant et juste apres plus faible)

#20 - 18/03/2022 10:09 AM - bruno katra

Ah oui pardon c'est vrai j'avais oublié comment était foutu les matrices avec juste la moitié... Du coup en effet TOUS les non diagonaux
sont a 0.

D'ailleurs je remarque que cela concerne en gros aussi les ASM "autour" de la frequence injectée : un effet de la fenétre de Hanning??

oui (pour la fréquence centrale correspond aussi une fréquence juste avant et juste apres plus faible)

Oui mais la ¢a a I'air un peu plus "large" : on voit bien les ASM juste a gauche et a droite a 0. + les 9 suivantes ?!?
#21 - 18/03/2022 02:59 PM - bruno katra
A la demande de Thomas j'ai quand méme Vérifié les valeurs binaires dans le fichier avant décommutation et il y a bien les 0. aux mémes positions

==> donc a priori pas de pb de decom

#22 - 18/03/2022 04:54 PM - Alexis Jeandet
- File ASM_F1_bug.png added
- File load_asm.ipynb added

Ok, je confirme les observations et pour toutes les matrices du test
ASM_F1_bug.png

Du coup, j'ai une série de questions et de tests a faire pour mieux cerner le PB:
1. Thomas, peux tu me dire si c'est possible de valider le calcul via les BP? En gros je voudrais savoir si I'ASM qui est en mémoire dans LFR est

bonne ou pas.
2. Bruno, est-il possible de faire un test plus long avec un sweep en fréquences pour balayer tous les bins (de F2 a F0) dans le méme test et voir si

c'est vraiment propre a F1 (¢ca peut étre pire...).

Ce qui est vraiment étrange, c'est que ¢a pourrait ressembler a une erreur stupide du genre faire un produit terme a terme au lieu d'un produit
matriciel mais il n'y a qu'une seule fonction qui fait ce produit pour FO/F1/F2.

#23 - 18/03/2022 04:56 PM - Alexis Jeandet
Autre confirmation, dans ce test, les ASMs a F1 sont/semblent différentes donc a priori calculées avec des données différentes a chaque fois.
#24 - 18/03/2022 06:37 PM - thomas chust

Alexis Jeandet wrote in #note-22:
Ok, je confirme les observations et pour toutes les matrices du test

Du coup, j'ai une série de questions et de tests a faire pour mieux cerner le PB:
1. Thomas, peux tu me dire si c'est possible de valider le calcul via les BP? En gros je voudrais savoir si I'ASM qui est en mémoire dans LFR est
bonne ou pas.

Je viens de regarder rapidement, visuellement, les fichiers ascii décommutés des BP2 a F2, F1 et FO:
- a priori tout semble faux car on ne voit rien (de particulier, du bruit) sur les termes diagonaux aux fréquences injectées ...

#25 - 21/03/2022 10:43 AM - bruno katra

Du coup, j'ai une série de questions et de tests a faire pour mieux cerner le PB:

1. Thomas, peux tu me dire si c'est possible de valider le calcul via les BP? En gros je voudrais savoir si I'ASM qui est en mémoire dans LFR est
bonne ou pas.

2. Bruno, est-il possible de faire un test plus long avec un sweep en fréquences pour balayer tous les bins (de F2 a F0) dans le méme test et voir
si c'est vraiment propre a F1 (¢a peut étre pire...).

Je vais faire un run avec sweep, mais avec quelles caractéristiques?

Ce qui est vraiment étrange, c'est que ¢a pourrait ressembler a une erreur stupide du genre faire un produit terme a terme au lieu d'un produit
matriciel mais il n'y a qu'une seule fonction qui fait ce produit pour FO/F1/F2.

#26 - 21/03/2022 11:08 AM - Alexis Jeandet
Je dirais de quoi avoir une fréquence différente pour chaque ASM et balayer tous bins de toutes les ASM.
Par exemple:
- pour F2  1Hz->128Hz par pas de 1Hz
- pour F1 128Hz->2048Hz par pas de 16Hz
- pour FO  1920Hz->9600Hz par pas de 96Hz
Dans tous les cas il faudrait maintenir le signal pendant la période de production des ASMs et toutes les enregistrer.
Je propose aussi de ne générer du signal que dans B1, B3, E1 et E2 pour aider a comprendre ce qu'il se passe.
#27 - 21/03/2022 11:09 AM - bruno katra
bruno katra wrote in #note-25:
Du coup, j'ai une série de questions et de tests a faire pour mieux cerner le PB:
1. Thomas, peux tu me dire si c'est possible de valider le calcul via les BP? En gros je voudrais savoir si I'ASM qui est en mémoire dans
LFR est bonne ou pas.

2. Bruno, est-il possible de faire un test plus long avec un sweep en fréquences pour balayer tous les bins (de F2 a F0) dans le méme test
et voir si c'est vraiment propre a F1 (¢a peut étre pire...).

Je vais faire un run avec sweep, mais avec quelles caractéristiques?
Vu avec Thomas : je vais refaire le méme sweep que les tests de 3.2.0.24 : je balaie toutes les frequences propres de F1 une a une avec SWF et

repassage en SDTBY pour chaque

Ce qui est vraiment étrange, c'est que ¢a pourrait ressembler a une erreur stupide du genre faire un produit terme a terme au lieu d'un
produit matriciel mais il n'y a qu'une seule fonction qui fait ce produit pour FO/F1/F2.

#28 - 21/03/2022 12:09 PM - bruno katra

bruno katra wrote in #note-27:

bruno katra wrote in #note-25:
Du coup, j'ai une série de questions et de tests a faire pour mieux cerner le PB:

1. Thomas, peux tu me dire si c'est possible de valider le calcul via les BP? En gros je voudrais savoir si I'ASM qui est en mémoire
dans LFR est bonne ou pas.

2. Bruno, est-il possible de faire un test plus long avec un sweep en fréquences pour balayer tous les bins (de F2 a F0) dans le méme
test et voir si c'est vraiment propre a F1 (¢a peut étre pire...).

Je vais faire un run avec sweep, mais avec quelles caractéristiques?

Vu avec Thomas : je vais refaire le méme sweep que les tests de 3.2.0.24 : je balaie toutes les frequences propres de F1 une a une avec SWF
et repassage en SDTBY pour chaque

Test a faire en 3.3.0.7 ou 3.3.0.7 "special" (version recompilée avec les matrices identitaires au boot) ?

Ce qui est vraiment étrange, c'est que ¢a pourrait ressembler a une erreur stupide du genre faire un produit terme a terme au lieu d'un
produit matriciel mais il n'y a qu'une seule fonction qui fait ce produit pour FO/F1/F2.

#29 - 21/03/2022 03:04 PM - bruno katra
Test CTC-901 joué :

Je balaie toutes les frequences F1 de LFR :

[ 96 112 128 144 160 176 192 208 224 240 256 272 288 304 320

336 352 368 384 400 416 432 448 464 480 496 512 528 544 560

576 592 608 624 640 656 672 688 704 720 736 752 768 784 800

816 832 848 864 880 896 912 928 944 960 976 992 1008 1024 1040

1056 1072 1088 1104 1120 1136 1152 1168 1184 1200 1216 1232 1248 1264 1280
1296 1312 1328 1344 1360 1376 1392 1408 1424 1440 1456 1472 1488 1504 1520
1536 1552 1568 1584 1600 1616 1632 1648 1664 1680 1696 1712 1728 1744]

Pour chacune :

- on injecte la fréquences pendant 47s (plusieurs ASM + 1 SWF) sur V, E1, E2, B1, B2 et B3.

- on n'enregistre qu'a partir de la 10eme seconde pour étre sur de ne pas enregistrer les 2 premiéres ASM
- On repasse en SDTBY

- On passe a la fréquence suivante.

Chaque fréquence est dans un fichier différent.

Les dumps sont la :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-901 &fileid=2509679

#30 - 21/03/2022 05:54 PM - thomas chust
- File ctc-901_2022 03 21_12_45_32 packet _record NORMAL_SWF_5_F1.svg added
- File ctc-901_2022 03 21_12_45 32 packet record NORMAL_SWF_F1.svg added
- File ctc-901_diff ASM-SWF_F1.svg added
- File ctc-901_diff ASM-SWF_zoom_F1.svg added
bruno katra wrote in #note-29:
Test CTC-901 joué :
Je balaie toutes les frequences F1 de LFR :
Pour chacune :
- on injecte la fréquences pendant 47s (plusieurs ASM + 1 SWF) sur V, E1, E2, B1, B2 et B3.
- on n'enregistre qu'a partir de la 10eme seconde pour étre sur de ne pas enregistrer les 2 premiéres ASM
- On repasse en SDTBY
- On passe a la fréquence suivante.

Chaque fréquence est dans un fichier différent.

Les dumps sont la :
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.7-unit/CTC-901 &fileid=2509679
Résultats conforment a ce que nous avons obtenu en 2018/12/04 avec la 3.2.024 (CTC-511) SAUF pour une plage de fréquence entre 896Hz et
1056Hz (11 fréquences). Voir les plots attachés.

#31 - 21/03/2022 05:57 PM - thomas chust
- File deleted (ctc-901_2022 03 21_12_45_32 packet record NORMAL_SWF_F1.svg)

#32 - 21/03/2022 06:00 PM - thomas chust
- File ctc-901_2022 03 21_12_45_32 packet _record NORMAL_ASM_F1.svg added

#33 - 22/03/2022 02:36 PM - bruno katra

J'ai refait le run du sweep @F1 avec cette fois des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-901/run02&fileid=2511060

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3 :2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

#34 - 22/03/2022 03:40 PM - thomas chust
- File CALIB_analysis_Bruno_2 20220322.html added
bruno katra wrote in #note-33:
J'ai refait le run du sweep @F1 avec cette fois des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-901/run02&fileid=2511060

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2 :2.0V
B3:2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

Analyse refaite comme hier: résultats quasi identiques (voir notebook joint)

#35 - 22/03/2022 04:06 PM - bruno katra

Le run du sweep @FO0 avecdes amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-9004&fileid=2511326

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3:2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

#36 - 22/03/2022 05:46 PM - thomas chust

- File CALIB_analysis_Bruno_2_ctc-900_20220322.html added

- File ctc-900 2022 03 22 13 49 52 packet record NORMAL_ASM_F0.svg added

- File ctc-900_2022 03 22 13 49 52 packet _record NORMAL_SWF_5_F0.svg added

bruno katra wrote in #note-35:

Le run du sweep @FO0 avecdes amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :
Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3 :2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

Analyse faite: résultats similaires que ceux a F1, c-a-d qu'il y a une bande de fréquence située environ au milieu pour laquelle les termes non
diagonaux (crosscorrelations) sonta 0 !

#37 - 23/03/2022 09:58 AM - Alexis Jeandet

Ok, donc, si je comprends bien, on a bien aussi le méme bug a FO0? Si c'est le cas, Bruno peux tu balayer aussi les fréquences a F2? Selon le
résultat, ca pourra nous pointer un bug coté calcul ou TM.

#38 - 23/03/2022 10:03 AM - bruno katra
Alexis Jeandet wrote in #note-37:
Ok, donc, si je comprends bien, on a bien aussi le méme bug a FO? Si c'est le cas, Bruno peux tu balayer aussi les fréquences a F2? Selon le

résultat, ca pourra nous pointer un bug coté calcul ou TM.

Oui il y a bien le méme bug a FO.
Le test @F2 est en cours depuis ce matin 9h. Les résultats dans la matinée.

#39 - 23/03/2022 10:03 AM - Alexis Jeandet

Génial! smile.png

#40 - 23/03/2022 12:01 PM - bruno katra

Le run du sweep @F2 avecdes amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-902&fileid=2512990

Voici le mapping Entrée/amplitude :

El1 : 0.5V
E2 : 1.0V
Bl1 : 1.5V
B2 : 2.0V
B3 : 2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

#41 - 24/03/2022 06:20 AM - thomas chust

- File ctc-902_2022 03 23 09 21_35 packet record NORMAL_SWF_5_F2.svg added
- File ctc-902_2022 03 23 09 21_35 packet record NORMAL_ASM_F2.svg added

- File CALIB_analysis_Bruno_2_ctc-902_20220323.html added

bruno katra wrote in #note-40:
Le run du sweep @F2 avecdes amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-902&fileid=2512990

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2 :2.0V
B3:2.5V

Le réperoire 'inputs' contient les fichiers de contexte pour trace.

Analyse faite: résultats conformes; tout ce qui est obtenu a partir des SWF est aussi trés précisément obtenu a partir des ASM (courbes bien
superposables) smile.png
Conclusion: le bug n'apparait pas a F2 mais seulement a FO et F1

#42 - 28/03/2022 10:42 AM - bruno katra

Idée Alexis : on relance en SBM1 pour voir si ¢a fait pareil.
Test en cours.

#43 - 28/03/2022 12:25 PM - bruno katra
bruno katra wrote in #note-42:
Idée Alexis : on relance en SBM1 pour voir si ¢a fait pareil.
Test en cours.
Sweep FO a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-9104&fileid=2514147

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3 :2.5V

#44 - 28/03/2022 02:39 PM - bruno katra

Sweep F2 a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-912&fileid=2514400

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3 :2.5V

#45 - 28/03/2022 02:57 PM - bruno katra

- Related to Task #3897: Faire un test avec les matrices de chgt de repére/calibration mises a 1 et 0 pour reproduire le comportement du FSW
<=3.2.0.24 added

#46 - 28/03/2022 02:59 PM - thomas chust
- File ctc-910_2022 03 28 10 40 _40_packet _record NORMAL_SWF_5_F0.svg added
- File ctc-910_2022 03 28 10_40_40_packet_record NORMAL_ASM_F0.svg added
bruno katra wrote in #note-43:
Sweep FO a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-9108&fileid=2514147

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3:2.5V

Mémes résultats (méme bug) que pour CTC-900 (NM)

#47 - 28/03/2022 03:09 PM - thomas chust
- File ctc-912_2022 03 28 12 20 41_packet _record NORMAL_SWF_5_F2.svg added
- File ctc-912_2022 03 28 12 20 41_packet_record NORMAL_ASM_F2.svg added

bruno katra wrote in #note-44:

Sweep F2 a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.7-unit/CTC-912&fileid=2514400

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3 :2.5V

Pareil que pour CTC-902: pas de bug a F2

#48 - 28/03/2022 03:21 PM - bruno katra

thomas chust wrote in #note-46:

bruno katra wrote in #note-43:

Sweep FO a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-910&fileid=2514147

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2 :2.0V
B3:2.5V

Mémes résultats (méme bug) que pour CTC-900 (NM)

Question : Comment sont les ASM@F1 dans ce sweep qui couvre les freq @F0 ? Voit-on des termes non-diag a 0 aussi?

#49 - 28/03/2022 04:16 PM - bruno katra

Sweep F1 a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-911&fileid=2514755

Voici le mapping Entrée/amplitude :

E1l : 0.5V
E2 : 1.0V
Bl : 1.5V
B2 : 2.0V
B3 : 2.5V

#50 - 28/03/2022 04:46 PM - thomas chust
- File ctc-911_2022 03 28 13 50 34 packet record NORMAL_SWF_5_ F1.svg added
- File ctc-911_2022 03 28 13 50 _34 packet record NORMAL_ASM_F1.svg added
bruno katra wrote in #note-49:
Sweep F1 a SBM1 avec des amplitudes différentes pour les différentes entrées (demande d'Alexis), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7-unit/CTC-911 &fileid=2514755

Voici le mapping Entrée/amplitude :
E1:0.5V
E2:1.0V
B1:1.5V
B2:2.0V
B3:2.5V

Pareil que CTC-901(NM) : méme bug a F1

#51 - 28/03/2022 06:44 PM - thomas chust
- Related to Bug #3941: Calcul des BP2 erroné pour F2 [3.3.0.7 avec matrices unitaires] added
#52 - 31/03/2022 10:30 AM - bruno katra

- Tracker changed from Task to Bug
#53 - 31/03/2022 10:37 AM - Alexis Jeandet
Donc si je comprends bien, actuellement on peut dire que:

1. Le bug semble apparaitre seulement a FO et F1
2. Le bug semble déterministe et ne pas dépendre du mode

Par contre peux-tu confirmer les points suivants:
1. est-ce toujours exactement les mémes fréquences qui sont impactées a FO et F1 (tout le temps et dans tous les modes)
2.dans le cas de matrices de correction non unitaires, le reste du calcul est-il correcte?
3. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien appliqué la bonne matrice et

pas celle d'une autre fréquence (question similaire a la question précédente)?
4. Peux-tu donner les plages d'indices exactes ou le bug apparait a FO et F1?

#54 - 31/03/2022 11:53 AM - thomas chust
Alexis Jeandet wrote in #note-53:
Donc si je comprends bien, actuellement on peut dire que:
1. Le bug semble apparaitre seulement a FO et F1
2. Le bug semble déterministe et ne pas dépendre du mode
Oui
Par contre peux-tu confirmer les points suivants:

1. est-ce toujours exactement les mémes fréquences qui sont impactées a FO et F1 (tout le temps et dans tous les modes)

Oui jusqu'a présent

1. dans le cas de matrices de correction non unitaires, le reste du calcul est-il correcte?

Je sais pas. En tout cas dans le cas de matrices de correction unitaires, les termes diagonaux sont correctes (seuls les termes non-diagonaux
sont a 0)

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien appliqué la bonne matrice
et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

1. Peux-tu donner les plages d'indices exactes ou le bug apparait a FO et F1?

A FO: les termes non-diagonaux a 0 concernent 20 fréquences de la 32+5éme a la 32+24éme inclus
A F1: les termes non-diagonaux a 0 concernent 11 fréquences de la 36+15eme a la 36+25éme inclus (la 36+14éme et la 36+26eéme sont également
concernées pour certaines paires de signaux, pas toutes)

#55 - 31/03/2022 11:59 AM - bruno katra

1.dans le cas de matrices de correction non unitaires, le reste du calcul est-il correcte?

Je sais pas. En tout cas dans le cas de matrices de correction unitaires, les termes diagonaux sont correctes (seuls les termes
non-diagonaux sont a 0)

Pour une premiére idée : je vais regarder les ASM dans un des runs 3.3.0.7 avec les matrices par défaut pour voir déja si on voit des 0.

#56 - 31/03/2022 01:54 PM - Alexis Jeandet

thomas chust wrote in #note-54:

Alexis Jeandet wrote in #note-53:
Donc si je comprends bien, actuellement on peut dire que:

1. Le bug semble apparaitre seulement a FO et F1
2. Le bug semble déterministe et ne pas dépendre du mode

Oui
Par contre peux-tu confirmer les points suivants:

1. est-ce toujours exactement les mémes fréquences qui sont impactées a FO et F1 (tout le temps et dans tous les modes)

Oui jusqu'a présent

1. dans le cas de matrices de correction non unitaires, le reste du calcul est-il correcte?

Je sais pas. En tout cas dans le cas de matrices de correction unitaires, les termes diagonaux sont correctes (seuls les termes
non-diagonaux sont a 0)

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien appliqué la bonne
matrice et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

Je dirais a partir des résultats avec les matrices par défaut. Soit c'est OK, soit c'est n'importe quoi. Dans ce cas avec les matrices unitaires ce serait
tout aussi faux mais par chance, ¢a donnerait des résultats "corrects".

1. Peux-tu donner les plages d'indices exactes ou le bug apparait a FO et F17?

A FO: les termes non-diagonaux a 0 concernent 20 fréquences de la 32+5éme a la 32+24éme inclus
A F1: les termes non-diagonaux a 0 concernent 11 fréquences de la 36+15éme a la 36+25éme inclus (la 36+14éme et la 36+26&me sont
également concernées pour certaines paires de signaux, pas toutes)

#57 - 31/03/2022 03:00 PM - thomas chust

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien appliqué la
bonne matrice et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

Je dirais a partir des résultats avec les matrices par défaut. Soit c'est OK, soit c'est n'importe quoi. Dans ce cas avec les matrices unitaires ce
serait tout aussi faux mais par chance, ¢a donnerait des résultats "corrects".

Je viens de regarder les fichiers ascii du run du 10 mars a FO avec kcoeff par défaut, "FO-3168Hz-2Vpp_on_E1E2B1B2B3-DefaultKCOEFFMatrices".
J'observe pareil les termes non-diagonaux des fréquences de la 32+5éme a la 32+24éme inclus sont & 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Idem pour le fichier a F1 (du méme run): J'observe pareil les termes non-diagonaux des fréquences de la 36+15éme a la 36+25éme inclus sont a 0
mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)
#58 - 31/03/2022 03:03 PM - Alexis Jeandet

thomas chust wrote in #note-57:

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien appliqué la
bonne matrice et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

Je dirais a partir des résultats avec les matrices par défaut. Soit c'est OK, soit c'est n'importe quoi. Dans ce cas avec les matrices unitaires
ce serait tout aussi faux mais par chance, ¢a donnerait des résultats "corrects”.

Je viens de regarder les fichiers ascii du run du 10 mars a FO avec kcoeff par défaut,
"F0-3168Hz-2Vpp_on_E1E2B1B2B3-DefaultKCOEFFMatrices". J'observe pareil les termes non-diagonaux des fréquences de la 32+5éme a la
32+24éme inclus sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Idem pour le fichier a F1 (du méme run): J'observe pareil les termes non-diagonaux des fréquences de la 36+15eme a la 36+25éme inclus sont
a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Ok, a l'inverse tu confirmes que le reste des termes sont bons? Ou juste qu'ils ne sont pas égaux a 0?

#59 - 31/03/2022 03:05 PM - thomas chust

Alexis Jeandet wrote in #note-58:
thomas chust wrote in #note-57:

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien
appliqué la bonne matrice et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

Je dirais a partir des résultats avec les matrices par défaut. Soit c'est OK, soit c'est n'importe quoi. Dans ce cas avec les matrices
unitaires ce serait tout aussi faux mais par chance, ¢a donnerait des résultats "corrects".

Je viens de regarder les fichiers ascii du run du 10 mars a FO avec kcoeff par défaut,
"F0-3168Hz-2Vpp_on_E1E2B1B2B3-DefaultKCOEFFMatrices". J'observe pareil les termes non-diagonaux des fréquences de la 32+5éme
a la 32+24eme inclus sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Idem pour le fichier & F1 (du méme run): J'observe pareil les termes non-diagonaux des fréquences de la 36+15éme & la 36+25éme inclus
sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2
Im(E1E2)

Ok, a l'inverse tu confirmes que le reste des termes sont bons? Ou juste qu'ils ne sont pas égaux a 0?

Il ne sont pas a 0 (du bruit). Je peux rien dire de plus, car pas de signal test ...

#60 - 31/03/2022 03:10 PM - Alexis Jeandet

thomas chust wrote in #note-59:

Alexis Jeandet wrote in #note-58:

thomas chust wrote in #note-57:

1. Peut-on confirmer que pour toutes les fréquences qui semblent correctes avec des matrices unitaires, on a bien
appliqué la bonne matrice et pas celle d'une autre fréquence (question similaire a la question précédente)?

Je sais pas comment faire ... ?

Je dirais a partir des résultats avec les matrices par défaut. Soit c'est OK, soit c'est n'importe quoi. Dans ce cas avec les matrices
unitaires ce serait tout aussi faux mais par chance, ¢a donnerait des résultats "corrects".

Je viens de regarder les fichiers ascii du run du 10 mars a FO avec kcoeff par défaut,
"F0-3168Hz-2Vpp_on_E1E2B1B2B3-DefaultKCOEFFMatrices". J'observe pareil les termes non-diagonaux des fréquences de la
32+5éme a la 32+24éme inclus sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Idem pour le fichier a F1 (du méme run): J'observe pareil les termes non-diagonaux des fréquences de la 36+15eme a la 36+25eéme
inclus sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Ok, a l'inverse tu confirmes que le reste des termes sont bons? Ou juste qu'ils ne sont pas égaux a 0?

Il ne sont pas a 0 (du bruit). Je peux rien dire de plus, car pas de signal test ...

Ok, du coup, ¢a aide pas trop au final on sait pas ce qui marche vraiment /.

#61 - 31/03/2022 03:41 PM - bruno katra

20/03/2024

Je viens de regarder les fichiers ascii du run du 10 mars a FO avec kcoeff par défaut,
"F0-3168Hz-2Vpp_on_E1E2B1B2B3-DefaultKCOEFFMatrices". J'observe pareil les termes non-diagonaux des fréquences de la
32+5éme a la 32+24éme inclus sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

Idem pour le fichier a F1 (du méme run): J'observe pareil les termes non-diagonaux des fréquences de la 36+15eme a la
36+25éme inclus sont & 0 mais que pour
B1E1
B1E2
B2E1
B2E2
B3E1
B3E2
Im(E1E2)

Ok, a l'inverse tu confirmes que le reste des termes sont bons? Ou juste gqu'ils ne sont pas égaux a 0?

Il ne sont pas a 0 (du bruit). Je peux rien dire de plus, car pas de signal test ...

Ok, du coup, ca aide pas trop au final on sait pas ce qui marche vraiment :/.

Est ce que je rejouerai pas les sweeps avec la 3.3.0.7 avec les KCOEFF par défaut?

#62 - 01/04/2022 11:31 AM - bruno katra

Sweep @FO0 en 3.3.0.7 avec matrices par défaut : fluctuation des amplitudes ASM anormale (voir vidéo video_2022-04-01_10-05-12.mp4 ).
NOTE : On ne voit plus la fluctuation lorsque I'on est dans la bande de fréquences ou il y a le bug des non-diagonaux nuls.

Les données sont la :
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/CTC-900&fileid=2516179

#63 - 01/04/2022 11:32 AM - bruno katra
- File video 2022-04-01_10-05-12.mp4 added

#64 - 01/04/2022 12:09 PM - bruno katra
- File 4 _5924609361346300113.mp4 added

Sweep a F2 en 3.3.0.7 avec matrices par défaut : la fluctuation est quand méme présente mais moins flagrante qu'en FO (voir vidéo

4 5924609361346300113.mp4) : a chaque ASM on voit I'amplitude qui diminue d'un pas régulier puis ga remonte au bout d'un moment d'un pas
régulier aussi.

Les résultats sont ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/CTC-902&fileid=2516283

#65 - 01/04/2022 12:14 PM - bruno katra
- Related to Task #3946: Verifier si #3936 apparait aussi en 3.3.0.4 (avant modifs SonarCoud 02/2022) added

#66 - 04/04/2022 10:23 AM - bruno katra

bruno katra wrote in #note-64:
Sweep a F2 en 3.3.0.7 avec matrices par défaut : la fluctuation est quand méme présente mais moins flagrante qu'en FO (voir vidéo
4_5924609361346300113.mp4) : a chaque ASM on voit I'amplitude qui diminue d'un pas régulier puis ¢a remonte au bout d'un moment d'un pas
régulier aussi.

Les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/CTC-902&fileid=2516283

Je déplace dans une nouvelle issue : #3948

#67 - 04/04/2022 10:37 AM - bruno katra
- Related to Bug #3948: FSW <= 3.3.0.7 : fluctuation de I'amplitude des ASM avec signal stationnaire added

#68 - 04/04/2022 05:04 PM - thomas chust
- File diff_F2_swf_versus_asm_7.png added
- File diff_F2_swf versus_asm_0.png added
- File diff_F2_swf_versus_asm_3.png added
bruno katra wrote in #note-64:

Sweep a F2 en 3.3.0.7 avec matrices par défaut : la fluctuation est quand méme présente mais moins flagrante qu'en FO (voir vidéo
4 5924609361346300113.mp4) : a chaque ASM on voit I'amplitude qui diminue d'un pas régulier puis ¢a remonte au bout d'un moment d'un pas
régulier aussi.

Fluctuation effectivement moins forte. J'ai ainsi pu chercher a vérifier si 'opération de calibration a bord était correcte. Pour cela, pour chacun des
fichiers (c-a-d pour chaque fréquence injectée) j'ai calculé une matrice spectrale a partir du SWF et comparé avec I'ASM calculé a bord. Résultat: on
retrouve ce qu'il faut avec les SWF avec parfois de gros écarts selon la fréquence injectée et I'ASM de référence (j'ai le choix parmi 9 ASM).
Pour I'ASM d'indice 3 j'obtiens le meilleur résultat avec au pire environ 5% d'écart relatif (voir la figure diff_F2_swf_versus_asm_3.png). Pour 'ASM
d'indice 7 les écarts se creusent ... (500% vers 100Hz).

#69 - 15/06/2022 09:57 AM - bruno katra
Test court préliminaire en 3.3.0.8@F1 : 2V@912Hz injecté sur E1E2B1B2B3 avec MATRICES UNITAIRES

Résultats ici :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8/F1-912Hz-2Vpp_on_E1E2B1B2B3-UnitK COEFFMatrices&fileid=2595713

Ceci afin de valider si il y a toujours les non-diag a 0.
#70 - 15/06/2022 10:01 AM - bruno katra
bruno katra wrote in #note-69:
Test court préliminaire en 3.3.0.8@F1 : 2V@912Hz injecté sur EIE2B1B2B3 avec MATRICES UNITAIRES

Résultats ici :
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8/F1-912Hz-2Vpp_on_E1E2B1B2B3-UnitK COEFFMatrices&fileid=2595713

Ceci afin de valider si il y a toujours les non-diag a 0.

J'ai décommuté et regardé les ASCII : a premiére vue toujours pleins de non-diag a 0 mais je laisse Thomas faire son analyse plus fine.

#71 - 15/06/2022 11:46 AM - thomas chust

J'ai décommuté et regardé les ASCII : a premiére vue toujours pleins de non-diag a 0 mais je laisse Thomas faire son analyse plus fine.

Je confirme, tous les termes non-diagonaux sont strictement a 0.

#72 - 28/06/2022 05:08 PM - bruno katra
CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug". Datadumps ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8-debug&fileid=2603459

#73 - 29/06/2022 10:18 AM - thomas chust
- File ctc-900_2022 06_28 15 37 35 packet _record NORMAL_ASM.png added
- File ctc-900 2022 06_28 15 37 35 packet record NORMAL_SWF_5.png added

bruno katra wrote in #note-72:

CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug". Datadumps ici :
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8-debug&fileid=2603459

Bon, on a un peu changement (voir les deux figures attachées) mais c'est pas encore ¢a ...

Les termes diagonaux sont toujours ok (la comparaison entre SWF et ASM est nominale)

Par contre concernant les termes non diagonaux maintenant aucun de ces termes n'est correct, tous ont des valeurs trés petites (voir ci-dessous
I'example de la 11éme fréquence), ce qui donne des coefficients de corrélation trés proche de 0 au lien de 1 attendu.

pour la 11éme fréquence:

amplitudes TF

‘calib_V2count': [9118.42369568898,
9303.046018630657,
9279.3072895776,
9274.214192859703,
9324.835551856848]

termes non-diagonaux normalisés

‘cross_norm': [(1.402623408470459e-08+3.300290220130096e-09j),
(9.529151172690378e-09-1.3234932578723906e-10j),
(8.673641724079635e-08+1.853908037635897e-08j),
(4.77423837110949e-08+1.3170312780371496e-08j),
(8.561705648406301e-09-1.0702132060507877e-09j),
(8.079678734195853e-08+2.3849655571342322e-08}),
(4.477789991091659¢e-08+1.2102134572975317e-09)),
(5.426257955960221e-08+1.6005509890278373e-08j),
(2.271315308771409e-08+6.6004032762506684¢e-09)),
(1.757836869935145e-07+7.769445124288916e-09))]

La bonne nouvelle, c'est que c'est pareil pour toutes les fréequences smile.png

#74 - 29/06/2022 10:40 AM - bruno katra
Test CTC-901 rejoué en 3.3.0.8 "debug" (sweep @F1 en NORMAL), datadumps ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8-debug/CTC-901 &fileid=2603909

#75 - 29/06/2022 11:40 AM - bruno katra
Test CTC-902 rejoué en 3.3.0.8 "debug" (sweep @F2 en NORMAL), datadumps ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.8-debug/CTC-902&fileid=2604572

#76 - 29/06/2022 04:12 PM - bruno katra
CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug" du 29/06/2022. Datadumps ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8-debug29062022&fileid=2605023

Version FSW avec correction des indices du moyennage + bypass des matrices de passage sur FO.

#77 - 29/06/2022 04:13 PM - bruno katra

- Assignee changed from Alexis Jeandet to thomas chust

#78 - 29/06/2022 04:23 PM - thomas chust

- File ctc-900 2022 06_29 14 32 25 packet record NORMAL_SWF_5.png added
- File ctc-900 2022 06_29 14 32 25 packet record NORMAL_ASM.png added

- File ctc-900_diff ASM-SWF_F0.svg added

- Assignee changed from thomas chust to Alexis Jeandet

bruno katra wrote in #note-76:

CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug" du 29/06/2022. Datadumps ici :

Version FSW avec correction des indices du moyennage + bypass des matrices de passage sur FO.

Pas mal du tout | A premiére vue cela est tout bon !
#79 - 29/06/2022 04:28 PM - bruno katra
thomas chust wrote in #note-78:

bruno katra wrote in #note-76:

CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug" du 29/06/2022. Datadumps ici :

Version FSW avec correction des indices du moyennage + bypass des matrices de passage sur FO.

Pas mal du tout | A premiére vue cela est tout bon !
Bon bah Alexis : vas-y pour une 3.3.0.9 candidate !
#80 - 30/06/2022 10:01 AM - Alexis Jeandet
bruno katra wrote in #note-79:
thomas chust wrote in #note-78:
bruno katra wrote in #note-76:
CTC-900 (sweep FO mode normal) rejoué avec FSW 3.3.0.8 "debug" du 29/06/2022. Datadumps ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8-debug29062022&fileid=2605023

Version FSW avec correction des indices du moyennage + bypass des matrices de passage sur FO.

Pas mal du tout | A premiére vue cela est tout bon !

Bon bah Alexis : vas-y pour une 3.3.0.9 candidate !

Voici la 3.3.0.9
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware BuildLpp/75291?hideProblemsFromDependencies=false&hideT
estsFromDependencies=false&expandBuildChangesSection=true

#81 - 30/06/2022 11:12 AM - bruno katra

- Assignee changed from Alexis Jeandet to thomas chust

CTC-951 en cours en fsw 3.3.0.9 (sweep @F1 avec KCOEFF unitaires en mode normal).

#82 - 30/06/2022 02:22 PM - bruno katra
Résultats CTC-951 ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

#83 - 30/06/2022 03:09 PM - bruno katra
CTC-901 en FSW 3.3.0.9 (sweep @F1 avec KCOEFF par défaut en NORMAL), résultats ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

#84 - 30/06/2022 03:50 PM - thomas chust

- File ctc-951_diff ASM-SWF.png added

- File ctc-951_2022 06_30_11_07_00_packet_record NORMAL_SWF_5.png added
- File ctc-951_2022 _06_30_11_07_00_packet_record NORMAL_ASM.png added

- Assignee changed from thomas chust to bruno katra

bruno katra wrote in #note-81:

CTC-951 en cours en fsw 3.3.0.9 (sweep @F1 avec KCOEFF unitaires en mode normal).

bruno katra wrote in #note-82:

Résultats CTC-951 ici :
https://ao.lpp.polytechnigue.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

L'analyse des TF est nominale: les résultats obtenus avec les SWF sont tres proches de ceux obtenus avec les ASM (voir les fichiers joints)

#85 - 04/07/2022 03:31 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

CTC-952 en fsw 3.3.0.9 (sweep @F2 avec KCOEFF unitaires en mode normal). Résultats ici :
#86 - 04/07/2022 04:45 PM - thomas chust

- File ctc-952_2022 07 _04 12 _41_53 packet_record NORMAL_SWF _5.png added
- File ctc-952_2022 07 _04 12 _41_53 packet _record NORMAL_ASM.png added

- File ctc-952_diff ASM-SWF.png added

bruno katra wrote in #note-85:

CTC-952 en fsw 3.3.0.9 (sweep @F2 avec KCOEFF unitaires en mode normal). Résultats ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

Idem. L'analyse des TF est nominale: les résultats obtenus avec les SWF sont trés proches de ceux obtenus avec les ASM (voir les fichiers joints)
